shibboleth-3.5.0

Public Member Functions | List of all members
shibsp::FilterPolicyContext Class Reference

Context for lookup of instantiated MatchFunctor objects. More...

`#include <shibsp/attribute/filtering/FilterPolicyContext.h>`

## Public Member Functions
| FilterPolicyContext (std::multimap< std::string, MatchFunctor * > &functors)
| Constructor. More...
std::multimap< std::string, MatchFunctor * > & | getMatchFunctors () const
| Gets a mutable map to store id/functor pairs. More...

## Detailed Description

Context for lookup of instantiated MatchFunctor objects.

## Constructor & Destructor Documentation

## ◆ FilterPolicyContext()

shibsp::FilterPolicyContext::FilterPolicyContext | ( | std::multimap< std::string, MatchFunctor * > & | functors | ) |

Constructor.

Parameters

  functors | reference to a map of id/functor pairs

## Member Function Documentation

## ◆ getMatchFunctors()

std::multimap< std::string, MatchFunctor * > & shibsp::FilterPolicyContext::getMatchFunctors | ( |  | ) | const

Gets a mutable map to store id/functor pairs.

When storing new instances, use an empty string for unnamed objects.

Returns
  reference to a mutable map containing available MatchFunctors

The documentation for this class was generated from the following file:

- shibsp/attribute/filtering/FilterPolicyContext.h